class CreateMenuItemLinkContents < ActiveRecord::Migration[6.0]
  def change
    create_table :menu_item_link_contents do |t|
      t.references   :menu_item,   index: true
      t.references   :image_file,   index: true
      t.string       :title
      t.text         :description
      t.string       :url
      t.boolean      :popup,   :default => false
      t.string       :style
      t.string       :block_type
      t.references   :cible,   index: true
      t.string       :cible_type
      t.decimal      :proportion,   :precision => 14,   :scale => 2
      t.integer      :level

      t.timestamps
    end
  end
end
